"use strict";
/**
 * CodeDump Configuration File
 *
 * This file controls the behavior of the CodeDump tool.
 * You can customize which files and directories to include or exclude.
 * Generated on: 2025-04-17T14:13:56.500Z
 */
Object.defineProperty(exports, "__esModule", { value: true });
const config = {
    directory: "",
    output: "",
    type: "list",
    showLargestFiles: true,
    allowedExtensions: [
        ".txt",
        ".md",
        ".markdown",
        ".json",
        ".xml",
        ".yaml",
        ".yml",
        ".toml",
        ".ini",
        ".cfg",
        ".conf",
        ".sql",
        ".graphql",
        ".proto",
        ".py",
        ".pyx",
        ".pyd",
        ".pyo",
        ".pyc",
        ".pyw",
        ".pyi",
        ".c",
        ".h",
        ".i",
        ".cpp",
        ".hpp",
        ".cc",
        ".hh",
        ".cxx",
        ".hxx",
        ".jl",
        ".js",
        ".jsx",
        ".ts",
        ".tsx",
        ".mjs",
        ".cjs",
        ".html",
        ".htm",
        ".css",
        ".scss",
        ".sass",
        ".less",
        ".java",
        ".kt",
        ".kts",
        ".groovy",
        ".scala",
        ".clj",
        ".cljs",
        ".cs",
        ".fs",
        ".vb",
        ".rb",
        ".rake",
        ".gemspec",
        ".php",
        ".phtml",
        ".php3",
        ".php4",
        ".php5",
        ".phps",
        ".go",
        ".rs",
        ".swift",
        ".sh",
        ".bash",
        ".zsh",
        ".fish",
        ".ps1",
        ".psm1",
        ".psd1",
        ".pl",
        ".pm",
        ".lua",
        ".hs",
        ".lhs",
        ".r",
        ".R",
        ".Rmd",
        ".dart",
        ".m",
        ".mm",
        ".elm",
        ".fsi",
        ".fsx",
        ".ex",
        ".exs",
        ".erl",
        ".hrl",
        ".lisp",
        ".cl",
        ".el",
        ".f",
        ".for",
        ".f90",
        ".f95",
        ".f03",
        ".f08",
        ".mat",
        ".sc",
        ".tf",
        ".tfvars",
        ".tex",
        ".sty",
        ".cls"
    ],
    allowedFilenames: [
        "license",
        "dockerfile",
        "makefile",
        ".gitignore",
        ".dockerignore",
        ".editorconfig",
        ".env",
        "requirements.txt",
        "package.json",
        "tsconfig.json",
        "setup.py",
        "setup.cfg",
        "pyproject.toml",
        "pipfile",
        "manifest.in",
        ".pylintrc",
        ".flake8",
        "pytest.ini",
        "tox.ini",
        "cmakelist.txt",
        "project.toml",
        "manifest.toml",
        "juliaconfig.toml",
        ".npmignore",
        ".babelrc",
        ".eslintrc",
        ".prettierrc",
        "tslint.json",
        "webpack.config.js",
        "package-lock.json",
        "yarn.lock",
        "gemfile",
        "rakefile",
        "composer.json",
        "composer.lock",
        "go.mod",
        "go.sum",
        "cargo.toml",
        "cargo.lock",
        "packages.config",
        "nuget.config",
        "pom.xml",
        "build.gradle",
        "build.gradle.kts",
        "settings.gradle",
        "settings.gradle.kts",
        "docker-compose.yml",
        "docker-compose.yaml",
        ".gitattributes",
        ".travis.yml",
        ".gitlab-ci.yml",
        "jenkins.file",
        "azure-pipelines.yml",
        ".vscode",
        ".idea",
        "elm.json",
        "paket.dependencies",
        "paket.lock",
        "mix.exs",
        "mix.lock",
        "rebar.config",
        ".octaverc",
        "build.sbt",
        ".terraform.lock.hcl",
        "ansible.cfg",
        "hosts",
        "latexmkrc"
    ],
    skipDirectories: [
        "__pycache__",
        "node_modules",
        "venv",
        "env",
        ".venv",
        ".env",
        ".cache",
        "build",
        "dist",
        "target",
        "out",
        "bin",
        "obj",
        ".git",
        ".svn",
        ".hg",
        ".idea",
        ".vscode",
        "logs",
        "output",
        ".next",
        ".turbo",
        "migrations"
    ],
    skipDirectoryPatterns: [
        "\\.egg-info$",
        "\\.yarn$"
    ],
    skipFilenames: [
        "package-lock.json",
        ".DS_Store",
        ".eslintcache",
        "thumbs.db",
        ".npmrc",
        ".prettierignore",
        ".eslintignore",
        ".gitkeep",
        ".browserslistrc",
        "tsconfig.tsbuildinfo",
        ".node-version",
        ".nvmrc",
        "desktop.ini",
        "npm-debug.log",
        "sdk.ts"
    ],
    skipPatterns: [
        "\\.log(\\.[0-9]+)?$",
        "^log\\.",
        "\\.bak$",
        "\\.tmp$",
        "\\.temp$",
        "\\.swp$",
        "~$",
        "pnpm-lock\\.yaml$",
        "yarn\\.lock$",
        "graphql-cache\\.d\\.ts$"
    ]
};
exports.default = config;
